Subject: devel-digest V2 #168
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Thursday, May 13 1999          Volume 02 : Number 168

In this issue:

    Re: 2.2.7 (and FTP site)
    Re: 2.2.7 (and FTP site)
    2.2.7-rmk5 out
    DHCP via eth1?
    DHCP boooting
    Re: DHCP via eth1?
    Re: DHCP boooting

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Wed, 12 May 1999 09:03:06 +0100 (BST)
From: Russell King <[email-masked]>
Subject: Re: 2.2.7 (and FTP site)

Matthew Wilcox said:
> By making the changes suggested by russell, I now have a working ether3
> card.  People who are having problems should replace the definitions of
> __out[bwl] in linux/include/asm-arm/arch-rpc/io.h with the ones from
> arch-arc.  My current kernel (RiscPC, Ether3, IDE disc) is available
> from http://pocket.fluff.org/~mrw/linux/arm/vmlinux-2.2.7 if anyone
> is interested.  It's working for Julian Brown already :-)

I do have updated kernel source, but unfortunately I can't upload it
to the FTP site.  The FTP site has been partially updated, so you'll
probably find that the symlinks are currently all broken.

The reasons this situation has occured are:

1) The FTP site is full.

2) Due to work by BT to reduce the risk of lightning strikes
   on the telegraph pole (we've had two fax machines destroyed
   in 4 years), the modem has become extremely unreliable.
   (some times it spends more time retraining than sending data).

   There is still further work to be done on our two lines, so
   I can only expect that things will get worse rather than better.
   Unfortunately, this seems to be making it virtually impossible
   to use a modem.

   I am currently expecting a call from BT to explain theirselves.

I don't know what this will mean in the long run yet.

- --
Russell King ([email-masked])

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 12 May 1999 12:36:40 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: 2.2.7 (and FTP site)

Russell King wrote:
> I do have updated kernel source, but unfortunately I can't upload it
> to the FTP site.  The FTP site has been partially updated, so you'll
> probably find that the symlinks are currently all broken.
> 
> The reasons this situation has occured are:

You are welcome to make NetWinder.org your primary site. We have
lots of space, and no lightning worries.  I know it's not local for
you though.

Let me know if you want to do this, and I'll move armlinux/ out of the
mirrors area and give you ownership.

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 12 May 1999 20:37:47 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: 2.2.7-rmk5 out

Ok, 2.2.7-rmk5 is now on the FTP site with the RiscPC IO patch.  Otherwise,
there is no change from -rmk4.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 12 May 1999 16:39:30 -0500
From: "Chris Garrigues" <[email-masked]>
Subject: DHCP via eth1?

- --==_Exmh_1005206166P
Content-Type: text/plain; charset=us-ascii

I'm finally ready to try and resurrect my netwinder, so I'm trying to figure 
out how to netboot it.

I'm looking at the NetWinder Rescue Howto and before I get any further, I've 
got a question.  How do I make this happen on the 10/100 port?  The DHCP 
request goes eth0, but I figure why not do this fast?

When I start up the system with both ethernets plugged into the same network, 
both LEDs come on. If I type 'boot diskless' at that point, it gets DHCP off 
eth0.  However, if I type "setnetwork eth1", I get:

DHCP-><7>eth1: tulip_open() irq 9.
[DSC][SND]<7>eth1: interrupt csr5=0xf0668020 new csr5=0xf0660000.
[RCV]**<7>eth1: Media selection tick, status f0660000 mode 32e6002 SIA 000000c6 ffff0000 fff80000 8ffd0000.
checkpoint 1
*****
dhcp_configure(): Timed out on network read
mk_do_dhcp(): dhcp_configure failure

and the LED for eth1 goes off.  If I then type 'boot diskless' it still uses 
eth0 (confirmed by not having both cables in).

I'll continue onward at 10mbs, but I'd like to use the 100mb segment.

Chris

- -- 
Chris Garrigues                 virCIO
+1 512 432 4046                 4314 Avenue C                    O-
http://www.DeepEddy.Com/~cwg/   Austin, TX  78751-3709
                                +1 512 374 0500

  My email address is an experiment in SPAM elimination.  For an
  explanation of what we're doing, see http://www.DeepEddy.Com/tms.html 

    Nobody ever got fired for buying Microsoft,
      but they could get fired for relying on Microsoft.

- --==_Exmh_1005206166P
Content-Type: application/pgp-signature

- -----BEGIN PGP MESSAGE-----
Version: 2.6.2

iQB1AwUBNzn1EJaQnaaFII2dAQGR7wMAnWddte38RvawUWClpYybxmpSLEk34tNa
XV5C4fpbdnzM2YExvGiTgnUhoTVJJOmRfmfKMzyXvSXZs6NuGflgmymUXs/QUgzr
NyoPIiSmxVwavnYY1FWdiD3AWru3W3p5
=0LnL
- -----END PGP MESSAGE-----

- --==_Exmh_1005206166P--
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 12 May 1999 16:58:43 -0500
From: "Chris Garrigues" <[email-masked]>
Subject: DHCP boooting

- --==_Exmh_1008066101P
Content-Type: text/plain; charset=us-ascii

Okay, so ignoring the tulip port for the timebeing, I'm trying everything on 
the other port.

My /etc/dhcp.conf looks like this:

subnet 10.2.252.0 netmask 255.255.255.0 {
  range 10.2.252.100 10.2.252.199;
  option routers 10.2.252.254;
  option subnet-mask 255.255.255.0;
  #option time-offset 12345;
  option domain-name-servers 10.2.252.1;
  option lpr-servers 10.2.252.1;
  option domain-name "DeepEddy.Com";
  option broadcast-address 10.2.252.255;
  option ntp-servers 10.2.252.1;
  next-server 10.2.252.2;
  server-name "10.2.252.2";
  filename "vmlinux_vnc.rev4";
  option root-path "10.2.252.2:/vncroot";
}

but when I type 'boot diskless', I get this:

DHCP->[DSC][SND][RCV]*[PRC][OFF][REQ][SND][RCV]*[PRC][ACK]
DHCP Configuration Summary Block
IP Address -> 10.2.252.103
Netmask    -> 255.255.255.0
Broadcast  -> 10.2.252.255
Boot Server->
Boot File  ->
Boot Path  -> 10.2.252.2:/vncroot
Usage: setenv <variable> <a.b.c.d>
Usage: setenv <stringvariable <string>
Receiving bootfile vmlinux.netwinder from bootserver 0.0.0.0

I haven't set up the tftp server yet, but I'm not sure it'll get me very far 
if I do.

Chris

- -- 
Chris Garrigues                 virCIO
+1 512 432 4046                 4314 Avenue C                    O-
http://www.DeepEddy.Com/~cwg/   Austin, TX  78751-3709
                                +1 512 374 0500

  My email address is an experiment in SPAM elimination.  For an
  explanation of what we're doing, see http://www.DeepEddy.Com/tms.html 

    Nobody ever got fired for buying Microsoft,
      but they could get fired for relying on Microsoft.

- --==_Exmh_1008066101P
Content-Type: application/pgp-signature

- -----BEGIN PGP MESSAGE-----
Version: 2.6.2

iQB1AwUBNzn5kZaQnaaFII2dAQF2PgL7BYNRV2FrzobgQ5aiiTdB//12KHzPBMxZ
ewNhH4WKQ1qchRLmep1sURc2A6SClXmGNu5vRMT13AZ/TgE5B5iCBuGW3UhUmplb
D7ryF1Yf0tOoDCuD6ddNS/fLCGWP2wFf
=gSNR
- -----END PGP MESSAGE-----

- --==_Exmh_1008066101P--
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 12 May 1999 20:19:46 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: DHCP via eth1?

Chris Garrigues wrote:
> I'm looking at the NetWinder Rescue Howto and before I get any further, I've
> got a question.  How do I make this happen on the 10/100 port?  The DHCP
> request goes eth0, but I figure why not do this fast?

In the firmware:
  setenv netconfig_eth0 disk
  setenv netconfig_eth1 dhcp
  save-all
  reset

> When I start up the system with both ethernets plugged into the same network,
> both LEDs come on. If I type 'boot diskless' at that point, it gets DHCP off
> eth0.  However, if I type "setnetwork eth1", I get:

You can only broadcast on one interface at a time without changing the
route (mini-kernel is 2.0.31).  Hence DHCP is only supported on one
interface.

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 12 May 1999 20:24:35 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: DHCP boooting

Chris Garrigues wrote:
> DHCP->[DSC][SND][RCV]*[PRC][OFF][REQ][SND][RCV]*[PRC][ACK]
> DHCP Configuration Summary Block
> IP Address -> 10.2.252.103
> Netmask    -> 255.255.255.0
> Broadcast  -> 10.2.252.255
> Boot Server->
> Boot File  ->
> Boot Path  -> 10.2.252.2:/vncroot
> Usage: setenv <variable> <a.b.c.d>
> Usage: setenv <stringvariable <string>
> Receiving bootfile vmlinux.netwinder from bootserver 0.0.0.0
> 
> I haven't set up the tftp server yet, but I'm not sure it'll get me very far
> if I do.

It will, as your NetWinder needs a kernel (bootfile) to boot :)

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #168
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.